# getArguments

abstract fun getArguments(): Map<String, String>

The arguments supplied for the build command.

Corresponds to the `org.eclipse.core.resources.ICommand#getBuilderName()` method in the Eclipse platform API.

#### Return

The arguments map. If no arguments supplied then returns an empty map.

#### See also

<a href="http://help.eclipse.org/mars/topic/org.eclipse.platform.doc.isv/reference/api/org/eclipse/core/resources/ICommand.html#getArguments--">Definition of ICommand#getArguments() in the Eclipse documentation</a>